/**
 * 徐祥健<xuxj@hugeinfo.com.cn>
 * 2018年7月20日 10:17
 *
 */


import React from 'react';

import user from '../../asset/icons/user.svg';
import { Modal, Button } from 'antd';
// import chunk from 'lodash/chunk';
// import tree from 'hife/tree';


import './style.scss';

export default function SendModel({ type, children, onCancel, onOk}) {
  return (
    <Modal 
      visible={true}
      width="62%"
      onOk={onOk}
      onCancel={onCancel}
      footer={[
        <Button key="back" onClick={onCancel}>取消</Button>,
        <Button key="submit" type="primary" onClick={onOk}>
          确认添加
        </Button>
      ]}
    >
    <div className="model-detail-view-main">
      <div className='model-detail-view-type'><span>{type}</span></div>
      {children}
    </div>
    </Modal>
  );

}
